<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Echanges')">
</head>

<body>
    <nav th:replace="@{/include/navbar}"></nav>

    <main>
        <div class="container-fluid p-0"><img src="/img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>
        <div class="text-white m-5">
            <h2>Les échanges</h2>
        </div>
        <div class="container text-white">
            <p>Ci-dessous la liste des échanges que vous avez initiés. Retoruvez ainsi toutes les informations liées à vos demandes de troc.
            </p>
        </div>

        <div class="container pt-5">

            <table class="table table-dark table-striped table-hover">
                <thead>
                  <tr>
                    <th scope="col">Statut</th>
                    <th scope="col">Demandeur</th>
                    <th scope="col">Message</th>
                    <th scope="col">Date</th>
                    <th scope="col">Titre</th>
                    <th scope="col"></th>
                    
                  </tr>
                </thead>
                <tbody>
                    <tr th:each="barter : ${barters}" class="">
                        <td th:text="${barter.status}"></td>
                        <td th:text="${barter.demandUser.username}"></td>
                        <td th:text="${barter.message}"></a></td>
                        <td th:text="${#dates.format(new java.util.Date(barter.date), 'dd/MM/yyyy')}"></td>
                        <td th:text="${barter.demandedDvd.title}"></td>
                        <td class="w-25"><img th:src="${barter.demandedDvd.image}" class="img-fluid w-100 dvdimg" alt="photo dvd" /></td>
                    </tr>
                    
                </tbody>
              </table>
        
        </div>


        <div class="container p-3 bg-light mb-5 rounded-3">

            <form>
                <h3 class="text-secondary fw-bold"><strong>Recherche avancée</strong></h3>
                <div class="mb-3">
                    <label for="exampleInputText" class="form-label">Titre</label>
                    <input type="text" class="form-control" id="exampleInputText" placeholder="recherche par titre">
                </div>
                <div class="mb-3">
                    <label for="exampleInputCat" class="form-label">Catégorie</label>
                    <input type="text" class="form-control" id="exampleInputCat" placeholder="recherche par catégorie">
                </div>
                <div class="mb-3">
                    <label for="exampleInputDate" class="form-label">Année</label>
                    <input type="year" class="form-control" id="exampleInputDate" placeholder="recherche par année">
                </div>
                <button type="submit" class="btn send btn-dark">Envoyer</button>
            </form>
        </div>

    </main>
    <div th:replace="@{/include/footer}"></div>
    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>